void main( void )
{
 if (&wizard_see == 2)
 {
  say("`0丁克啊，旅途可好？", &current_sprite);
  return;
 }
 if (&wizard_see == 3)
 {
  sp_active(&current_sprite, 0);
  say("他没了！", 1);
  return;
 }
 if (&wizard_see == 4)
 {
  sp_active(&current_sprite, 0);
  return;
 }
 say("`0啊，丁克，我正等着你呢。", &current_sprite);
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 if (&wizard_see == 0)
 {
  say_stop("嗯，又是我。您究竟是谁呢？", 1);
  wait(200);
  say_stop("`0我是魔法师 Martridge。一个魔法的传授者。", &current_sprite);
  wait(200);
  say_stop("哇，我以前从来都没见到过这个地方。", 1);
  wait(200);
  say_stop("`0我喜欢接近自然。", &current_sprite);
  wait(200);
  say_stop("`0我观察你很久了，丁克。", &current_sprite);
  wait(200);
  say_stop("通过我家的小窗口看的吗？", 1);
  wait(200);
  say_stop("`0才不需要呢，丁克，我有魔法。", &current_sprite);
  wait(200);
  say_stop("`0而你也可以拥有这个力量，超自然的力量。", &current_sprite);
  wait(200);
  say_stop("真的吗？你觉得我行吗？好棒也，有了这我能做什么啊？", 1);
  wait(200);
  say_stop("能给tujiafeng制造女朋友吗？", 1);
  wait(200);
  say_stop("`0额，不能。", &current_sprite);
  wait(200);
  say_stop("那我能飞来飞去飞到树上吗？", 1);
  wait(200);
  say_stop("`0大概哦，那根据...", &current_sprite);
  wait(200);
  say_stop("可以把死神扔来扔去吗？", 1);
  wait(200);
  say_stop("`0我的判断似乎是错了...", &current_sprite);
  wait(200);
  say_stop("`0但这类事很难说得准。", &current_sprite);
  &wizard_see = 1;
 }
 choice_start()
(&wizard_see == 1)"告诉他你行的。"
 "关于魔法"
 "不管了"
 choice_end()
 wait(200);
 if (&result == 1)
 {
  int &boom;
  int &bottle;
  say_stop("Martridge，我，我行的，我准备好了。", 1);
  wait(200);
  say_stop("我答应你我会把魔法用在正途的。", 1);
  wait(200);
  say_stop("`0那么丁克，你必须证明你的实力。", &current_sprite);
  wait(200);
  say_stop("啊，我该怎么做？", 1);
  wait(200);
  say_stop("`0在这里的山上，有一只叫 Bonca 的怪物。", &current_sprite);
  wait(200);
  say_stop("`0杀死他后再来这里。", &current_sprite);
  wait(200);
  say_stop("行，我去会会它。", 1);
  wait(200);
  say_stop("`0很好，很好。", &current_sprite);
  wait(200);
  say_stop("那它住哪呢？", 1);
  wait(200);
  say_stop("`0在西边的一个山洞里。", &current_sprite);
  wait(200);
  say_stop("我不会失败的。", 1);
  wait(200);
  &wizard_see = 2;
  say_stop("`0来这里，丁克，带上这个。红色药水能让你变得更强。", &current_sprite);
  &boom = create_sprite(187, 157, 7, 167, 1);
  sp_seq(&boom, 167);
  &bottle = create_sprite(187, 157, 0, 56, 1);
  playsound(24, 22052, 0, 0, 0);
  sp_script(&bottle, "rpotion");
 }
 if (&result == 2)
 {
  say_stop("Martridge，再告诉我些魔法的事嘛。", 1);
  wait(200);
  say_stop("`0魔法是一门古老的艺术。那些会的人", &current_sprite);
  wait(200);
  say_stop("`0都成为了伟大的领导，明星，还有战士。", &current_sprite);
  wait(200);
  say_stop("`0是赐与他们的一种能力，也是礼物。", &current_sprite);
 }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 say("`0你想干什么呢丁克？", &current_sprite);
 //Warp the Wizard elsewhere
}
